<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
  <title>Schematron example: A simple schema with assert and report</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <let name="types" value="('transcript', 'introduction')"/>
  <pattern>
    <rule context="tei:TEI">
      <assert test="@type = $types"/>
      <assert test="@type = 'transcript' or @type = 'introduction'"/>
    </rule>
  </pattern>
  <pattern>
    <rule context="tei:titleStmt">
      <assert test="empty(tei:title[@type = 'short']/tei:*)" diagnostics="short-title-de short-title-en"/>
    </rule>
  </pattern>
  <pattern>
    <rule context="text()">
      <report test="contains(., '...') or contains(., '…')">
        Encode omissions with a 'gap' Element.
      </report>
    </rule>
  </pattern>
  <diagnostics>
    <diagnostic id="short-title-en" xml:lang="en">
      A short title must only contain text.
    </diagnostic>
    <diagnostic id="short-title-de" xml:lang="de">
      Der Kurztitel darf nur Text enthalten. 
    </diagnostic>
  </diagnostics>
</schema>
