<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
  <title>Schematron example: Order of rules in a pattern matters</title>
  <p>The second rule never fires because the tei:titleStmt node already matched by the first rule</p>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <pattern>
    <rule context="tei:titleStmt">
      <assert test="empty(tei:title[@type = 'short']/tei:*)">
        A short title must only contain text.
      </assert>
    </rule>
    <rule context="tei:titleStmt[ancestor::tei:TEI/@type = 'transcript']">
      <assert test="tei:author[@ref]">
        The author of a transcription must be linked to the authority file.
      </assert>
    </rule>
  </pattern>
</schema>
