<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
  <title>Schematron example: Rules sharing a assertions</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <let name="index" value="/tei:TEI/tei:text/tei:back//@xml:id"/>
  <pattern>
    <rule context="tei:rs[@type = 'person']/@ref">
      <let name="tokens" value="tokenize(., '\s+')"/>
      <assert test="every $token in $tokens satisfies starts-with($token, '#')">
        Every value in a @<name/> attribute must start with a hashbang.
      </assert>
      <assert test="every $token in $tokens satisfies substring-after($token, '#') = $index">
        Every value in a @<name/> attribute must match a defined @xml:id in the index.
      </assert>
      <assert test="every $token in $tokens satisfies substring-after($token, '#') = $index[parent::tei:person]">
        Every value in a @<name/> attribute on persons must match a person defined in the index.
      </assert>
    </rule>
    <rule context="tei:rs[@type = 'place']/@ref">
      <let name="tokens" value="tokenize(., '\s+')"/>
      <assert test="every $token in $tokens satisfies starts-with($token, '#')">
        Every value in a @<name/> attribute must start with a hashbang.
      </assert>
      <assert test="every $token in $tokens satisfies substring-after($token, '#') = $index">
        Every value in a @<name/> attribute must match a defined @xml:id in the index.
      </assert>
      <assert test="every $token in $tokens satisfies substring-after($token, '#') = $index[parent::tei:place]">
        Every value in a @<name/> attribute on places must match a place defined in the index.
      </assert>
    </rule>
  </pattern>
</schema>
