<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <let name="index" value="/tei:TEI/tei:text/tei:back//@xml:id"/>
  <pattern abstract="true" id="rs-reference">
    <rule abstract="true" id="index-reference">
      <let name="tokens" value="tokenize(., '\s+')"/>
      <assert test="every $token in $tokens satisfies starts-with($token, '#')">
        Every value in a @<name/> attribute must start with a hashbang.
      </assert>
      <assert test="every $token in $tokens satisfies substring-after($token, '#') = $index">
        Every value in a @<name/> attribute must match a defined @xml:id in the index.
      </assert>
    </rule>
    <rule context="tei:rs[@type = '$type']/@ref">
      <extends rule="index-reference"/>
      <assert test="every $token in $tokens satisfies substring-after($token, '#') = $index[parent::tei:$type]">
        Every value in a @<name/> attribute of a rs[@type = <value-of select="'$type'"/>] must match a <value-of select="'$type'"/> defined in the index.
      </assert>
    </rule>
  </pattern>
  <pattern is-a="rs-reference">
    <param name="type" value="person"/>
  </pattern>
  <pattern is-a="rs-reference">
    <param name="type" value="place"/>
  </pattern>
</schema>
