<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
        xmlns:sqf="http://www.schematron-quickfix.com/validator/process">
  <title>Schematron QuickFix Example: Add an attribute with user input</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <pattern>
    <rule context="tei:foreign">
      <assert test="@xml:lang" sqf:fix="add-language-de add-language-en">
        The foreign passage must have an indicator of the language in an @xml:lang attribute
      </assert>
      <assert test="@xml:lang = ('de', 'en')">
        Use 'de' to indicate german, use 'en' to indicate english.
      </assert>
      <sqf:fix id="add-language-de">
        <sqf:description>
          <sqf:title>Add @xml:lang with value 'de' for german</sqf:title>
        </sqf:description>
        <sqf:add node-type="attribute" target="xml:lang" select="'de'"/>
      </sqf:fix>
      <sqf:fix id="add-language-en">
        <sqf:description>
          <sqf:title>Add @xml:lang with value 'en' for english</sqf:title>
        </sqf:description>
        <sqf:add node-type="attribute" target="xml:lang" select="'en'"/>
      </sqf:fix>
    </rule>
  </pattern>
</schema>
