<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
        xmlns:sqf="http://www.schematron-quickfix.com/validator/process"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <title>Schematron QuickFix Example: Global fix</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <sqf:fixes>
    <sqf:fix id="unwrap">
      <sqf:description>
        <sqf:title>Unwrap the <name/> element</sqf:title>
      </sqf:description>
      <sqf:replace select="node()"/>
    </sqf:fix>
  </sqf:fixes>
  <pattern>
    <rule context="tei:rs">
      <assert test="exists(@type)" sqf:fix="add-type unwrap">
        A referring string must have a @type attribute with a valid type.
      </assert>
      <sqf:fix id="add-type">
        <sqf:description>
          <sqf:title>Add the @type attribute</sqf:title>
        </sqf:description>
        <sqf:user-entry name="type">
          <sqf:description>
            <sqf:title>Type (either 'place', 'person', or 'org')</sqf:title>
          </sqf:description>
        </sqf:user-entry>
        <sqf:add node-type="attribute" target="type" select="$type"/>
      </sqf:fix>
    </rule>
  </pattern>
</schema>
