<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
        xmlns:sqf="http://www.schematron-quickfix.com/validator/process"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <title>Schematron QuickFix Example: Change attribute values</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <pattern>
    <rule context="tei:rs/@ref">
      <let name="tokens" value="tokenize(., '\s+')"/>
      <assert test="exists($tokens)" sqf:fix="delete-attribute edit-attribute">
        The @ref attribute of a referring string must not be empty
      </assert>
      <assert test="every $token in $tokens satisfies starts-with($token, '#')" sqf:fix="remove-nohash edit-attribute">
        Every value in a @ref attribute of a referring string must start with a hashbang
      </assert>
      <sqf:fix id="remove-nohash">
        <sqf:description>
          <sqf:title>Remove values without a hashbang</sqf:title>
        </sqf:description>
        <sqf:replace node-type="attribute" target="ref" select="$tokens[starts-with(., '#')]"/>
      </sqf:fix>
      <sqf:fix id="delete-attribute">
        <sqf:description>
          <sqf:title>Delete the @<name/> attribute</sqf:title>
        </sqf:description>
        <sqf:delete/>
      </sqf:fix>
      <sqf:fix id="edit-attribute">
        <sqf:description>
          <sqf:title>Edit the @<name/> attribute value</sqf:title>
        </sqf:description>
        <sqf:user-entry name="value" default=".">
          <sqf:description>
            <sqf:title>Attribute value</sqf:title>
          </sqf:description>
        </sqf:user-entry>
        <sqf:replace node-type="attribute" target="ref" select="$value"/>
      </sqf:fix>
    </rule>
  </pattern>
</schema>
